Last Comment Bug 547499 - Mac packaged builds are completely broken by not packaging libwidget_mac.dylib
: Mac packaged builds are completely broken by not packaging libwidget_mac.dylib
Status: VERIFIED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All Mac OS X
: -- major (vote)
: seamonkey2.1a1
Assigned To: Phil Ringnalda (:philor)
:
Mentors:
Depends on:
Blocks: 521523 545628
  Show dependency treegraph
 
Reported: 2010-02-20 19:27 PST by Phil Ringnalda (:philor)
Modified: 2010-05-13 15:39 PDT (History)
0 users
philringnalda: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix (1.50 KB, patch)
2010-02-20 19:27 PST, Phil Ringnalda (:philor)
no flags Details | Diff | Splinter Review
No, really fix (1.49 KB, patch)
2010-02-21 00:21 PST, Phil Ringnalda (:philor)
kairo: review+
Details | Diff | Splinter Review

Description Phil Ringnalda (:philor) 2010-02-20 19:27:53 PST
Created attachment 428000 [details] [diff] [review]
Fix

Because widget: cocoa is filled with hate and nastiness, and it wants to make your life as miserable as it possibly can, it has LIBRARY_NAME = widget_mac and XPIDL_MODULE = widget_cocoa, so you need to package libwidget_mac.dylib and widget_cocoa.xpt, rather than the libwidget_cocoa.dylib and no extra xpt that you are currently packaging.
Comment 1 Serge Gautherie (:sgautherie) 2010-02-20 22:40:43 PST
Comment on attachment 428000 [details] [diff] [review]
Fix

>@@ -427,16 +427,19 @@ bin/components/@DLL_PREFIX@nkgnomevfs@DL
>+#ifdef XP_MAC_OSX

XP_MACOSX...
Comment 2 Serge Gautherie (:sgautherie) 2010-02-20 22:52:33 PST
Ftr, Firefox:
bug 463605
http://hg.mozilla.org/mozilla-central/rev/0bd17bd1cbaf
{
+++ b/browser/installer/osx/packages-static
+@BINPATH@/components/widget.xpt
}

I wonder why c-c apps need to do more? (because not libxul (yet)?)
Comment 3 Phil Ringnalda (:philor) 2010-02-21 00:21:39 PST
Created attachment 428028 [details] [diff] [review]
No, really fix

Be less embarrassing if I hadn't still had the package-compare that was telling me I typoed that ifdef open.

comm-central doesn't have to do more because it's not libxul; it has to do more because it actually has make package-compare, so it knows what it isn't shipping. I'll poke at josh and try to make him admit whether the way Fx has been missing it for as long as it's had a manifest for Mac means it's useless, or means that Fx has been broken.
Comment 4 Serge Gautherie (:sgautherie) 2010-02-21 00:34:17 PST
(In reply to comment #3)
> I'll poke at josh and try to make him admit whether the way Fx has
> been missing it for as long as it's had a manifest for Mac means it's useless,
> or means that Fx has been broken.

Thanks: that was the other (implicit) part of my wondering ;->

NB: Would you know why FF doesn't use 'make package-compare'? It looks like a pity (which I've run into a few times).
Comment 5 Robert Kaiser 2010-02-21 15:13:26 PST
Comment on attachment 428028 [details] [diff] [review]
No, really fix

Thanks a lot for looking into that!
Comment 6 Phil Ringnalda (:philor) 2010-02-21 16:29:41 PST
http://hg.mozilla.org/comm-central/rev/b6e895490411
Comment 7 Serge Gautherie (:sgautherie) 2010-02-21 18:06:26 PST
V.Fixed, per our packaged tests tinderboxes :-)

Note You need to log in before you can comment on or make changes to this bug.